import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { GitSearchV2SharedModule } from 'app/shared/shared.module';
import {SearchComponent} from "app/search/search.component";
import {SEARCH_ROUTE} from "app/search/search-routing.module";
import {MetadataComponent} from "app/search/metadata/metadata.component";
import {HighlightingComponent} from "app/search/highlighting/highlighting.component";
import {QueryParamModule} from "@ngqp/core";
import {NgSelectModule} from "@ng-select/ng-select";


@NgModule({
  imports: [GitSearchV2SharedModule, RouterModule.forChild([SEARCH_ROUTE]), QueryParamModule, NgSelectModule],
  declarations: [
    SearchComponent,
    MetadataComponent,
    HighlightingComponent
  ],
})
export class SearchModule {}
